TLockDetectMode (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TLockDetectMode

- java.lang.Object
- - java.lang.Enum<TLockDetectMode>
  - - com.sleepycat.thrift.TLockDetectMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TLockDetectMode>, org.apache.thrift.TEnum

      public enum TLockDetectMode
      extends java.lang.Enum<TLockDetectMode>
      implements org.apache.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPIRE`
    `MAX_LOCKS`
    `MAX_WRITE`
    `MIN_LOCKS`
    `MIN_WRITE`
    `OLDEST`
    `RANDOM`
    `YOUNGEST`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TLockDetectMode` | `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
    `static TLockDetectMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TLockDetectMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPIRE

          public static final TLockDetectMode EXPIRE

    - #### MAX_LOCKS

          public static final TLockDetectMode MAX_LOCKS

    - #### MAX_WRITE

          public static final TLockDetectMode MAX_WRITE

    - #### MIN_LOCKS

          public static final TLockDetectMode MIN_LOCKS

    - #### MIN_WRITE

          public static final TLockDetectMode MIN_WRITE

    - #### OLDEST

          public static final TLockDetectMode OLDEST

    - #### RANDOM

          public static final TLockDetectMode RANDOM

    - #### YOUNGEST

          public static final TLockDetectMode YOUNGEST

  - ### Method Detail

    - #### values

          public static TLockDetectMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TLockDetectMode c : TLockDetectMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TLockDetectMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.
      Specified by:
        `getValue` in interface `org.apache.thrift.TEnum`

    - #### findByValue

          public static TLockDetectMode findByValue(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.
      Returns:
        null if the value is not found.

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.